import request from '@/utils/request/index'

/**
 * 乐器列表
 */
export const musicalInstrumentPage = (data: object) => {
  return request({
    url: '/cbs-app/musicalInstrument/page',
    method: 'post',
    data
  } as any)
}

/**
 * 乐器新增
 */
export const musicalInstrumentSave = (data: object) => {
  return request({
    url: '/cbs-app/musicalInstrument/save',
    method: 'post',
    data
  } as any)
}

/**
 * 乐器修改
 */
export const musicalInstrumentUpdate = (data: object) => {
  return request({
    url: '/cbs-app/musicalInstrument/update',
    method: 'post',
    data
  } as any)
}

/**
 * 乐器修改状态
 */
export const musicalInstrumentUpdateStatus = (data?: any) => {
  return request({
    url: '/cbs-app/musicalInstrument/enable?id=' + data.id,
    method: 'post',
    data
  } as any)
}

/**
 * 声部分类列表
 */
export const subjectCategoryPage = (data: object) => {
  return request({
    url: '/cbs-app/subjectCategory/page',
    method: 'post',
    data
  } as any)
}

/**
 * 声部分类新增
 */
export const subjectCategorySave = (data: object) => {
  return request({
    url: '/cbs-app/subjectCategory/save',
    method: 'post',
    data
  } as any)
}

/**
 * 声部分类修改
 */
export const subjectCategoryUpdate = (data: object) => {
  return request({
    url: '/cbs-app/subjectCategory/update',
    method: 'post',
    data
  } as any)
}

/**
 * 声部分类修改状态
 */
export const subjectCategoryUpdateStatus = (data?: any) => {
  return request({
    url: '/cbs-app/subjectCategory/enable?id=' + data.id,
    method: 'post',
    data
  } as any)
}

/**
 * 声部列表
 */
export const subjectPage = (data: object) => {
  return request({
    url: '/cbs-app/subject/page',
    method: 'post',
    data
  } as any)
}

/**
 * 声部新增
 */
export const subjectSave = (data: object) => {
  return request({
    url: '/cbs-app/subject/save',
    method: 'post',
    data
  } as any)
}

/**
 * 声部修改
 */
export const subjectUpdate = (data: object) => {
  return request({
    url: '/cbs-app/subject/update',
    method: 'post',
    data
  } as any)
}

/**
 * 声部修改状态
 */
export const subjectUpdateStatus = (data?: any) => {
  return request({
    url: '/cbs-app/subject/enable?id=' + data.id,
    method: 'post',
    data
  } as any)
}